﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3034: (1 yr) VER RS-232 /5520A+SC600
DATE:                  2010-08-04 10:55:30
AUTHOR:                Fluke
REVISION:              $Revision: 18562 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       236
CONFIGURATION:         Fluke 5520A (S6)
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3034
# 
#  Source(s):
#        TDS3000 Series Digital Phosphor Oscilloscopes Service Manual,
#        071-0382-01, supports firmware version 2.0 and above
# 
#  Compatibility:
#        5500/CAL or MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Guardbanding & Ver Method (No NTHROW)
#        Sub Tek TDS3000/3000B RS-232 Interface
#        Sub UUT RS-232 Connection DTE DB9 (m) /5520
#        Sub Tek TDS3000 Setup RS-232
#        Sub IEEE-488.2 Identification Query RS-232
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000 Check Firmware Version
#        Sub Tek TDS3000 Set Bandwidth & Number of Channels
#        Sub Tek TDS3000 Self-Test RS-232
#        Sub Tek TDS3000 Signal Path Compensation Cal RS-232
#        Sub Tek TDS3000 (1 yr) DCV RS-232 /5520+S6
#        Sub Tek TDS3000 (1 yr) Bandwidth RS-232 /5520+S6
#        Sub Tek TDS3000 (1 yr) Trig Sens RS-232 /5520+S6
#        Sub Tek TDS3000 (1 yr) Sample Rate RS-232 /5520+S6
#        Sub Tek TDS3000 Select Channel RS-232
#        Sub Tek TDS3000 Trigger Check and Level Adjust RS-232
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Tektronix Communication Module
#        - TDS3GM, TDS3GV or TDS3VM
#
# The procedure was tested using:
#        Model No  : TDS 3054
#        Serial No : b019431
#        Options   : None
#        Firmware  : 2.21
#
# Average run time during testing : 20 mins
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5520         300MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.3.38"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         20 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  CALL         Sub Tek TDS3000/3000B RS-232 Interface
  1.016  CALL         Sub UUT RS-232 Connection DTE DB9 (m) /5520
  1.017  CALL         Sub Tek TDS3000 Setup RS-232

  1.018  PORT         *RST;*OPC?[I!]

  1.018  HEAD         UUT IDENTIFICATION
  1.019  CALL         Sub IEEE-488.2 Identification Query RS-232

  1.020  MATH         @UUT_Manufacturer = "Tektronix"
  1.021  MATH         @UUT_Model        = "TDS 3034"
  1.022  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.023  JMPL         END                           @Abort

  1.024  CALL         Sub Tek TDS3000 Check Firmware Version
  1.025  JMPL         END                           @Abort

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   DCV GAIN (CH1)                     DCV GAIN (CH1)
#    4.   DCV GAIN (CH2)                     BANDWIDTH (CH1)
#    5.   DCV GAIN (CH3)                     TRIGGER SENS (CH1)
#    6.   DCV GAIN (CH4)                     SAMPLE RATE
#    7.   BANDWIDTH (CH1)                    DCV GAIN (CH2)
#    8.   BANDWIDTH (CH2)                    BANDWIDTH (CH2)
#    9.   BANDWIDTH (CH3)                    TRIGGER SENS (CH2)
#    10.  BANDWIDTH (CH4)                    DCV GAIN (CH3)
#    11.  TRIGGER SENS (CH1)                 BANDWIDTH (CH3)
#    12.  TRIGGER SENS (CH2)                 TRIGGER SENS (CH3)
#    13.  TRIGGER SENS (CH3)                 DCV GAIN (CH4)
#    14.  TRIGGER SENS (CH4)                 BANDWIDTH (CH4)
#    15   SAMPLE RATE                        TRIGGER SENS (CH4)

  1.031  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.032  CALL         Sub Tek TDS3000 Signal Path Compensation Cal RS-232
  1.033  JMPL         END                           @Abort

  1.034  CALL         Sub Tek TDS3000 Self-Test RS-232
  1.035  JMPL         END                           @Abort

  1.036  DISP         Connect the 5520A Scope Out to UUT CH1.
  1.037  MATH         @Chan = 1
  1.038  CALL         Sub Tek TDS3000 (1 yr) DCV RS-232 /5520+S6
  1.039  JMPL         BANDWIDTH_CH1

  1.040  LABEL        DCV_CH2
  1.041  DISP         Connect the 5520A Scope Out to UUT CH2.
  1.042  MATH         @Chan = 2
  1.043  CALL         Sub Tek TDS3000 (1 yr) DCV RS-232 /5520+S6
  1.044  JMPL         BANDWIDTH_CH2

  1.045  LABEL        DCV_CH3
  1.046  DISP         Connect the 5520A Scope Out to UUT CH3.
  1.047  MATH         @Chan = 3
  1.048  CALL         Sub Tek TDS3000 (1 yr) DCV RS-232 /5520+S6
  1.049  JMPL         BANDWIDTH_CH3

  1.050  LABEL        DCV_CH4
  1.051  DISP         Connect the 5520A Scope Out to UUT CH4.
  1.052  MATH         @Chan = 4
  1.053  CALL         Sub Tek TDS3000 (1 yr) DCV RS-232 /5520+S6
  1.054  JMPL         BANDWIDTH_CH4

  1.055  LABEL        BANDWIDTH_CH1
  1.056  MATH         @Chan = 1
  1.057  CALL         Sub Tek TDS3000 (1 yr) Bandwidth RS-232 /5520+S6
  1.058  JMPL         TRIG_CH1

  1.059  LABEL        BANDWIDTH_CH2
  1.060  MATH         @Chan = 2
  1.061  CALL         Sub Tek TDS3000 (1 yr) Bandwidth RS-232 /5520+S6
  1.062  JMPL         TRIG_CH2

  1.063  LABEL        BANDWIDTH_CH3
  1.064  MATH         @Chan = 3
  1.065  CALL         Sub Tek TDS3000 (1 yr) Bandwidth RS-232 /5520+S6
  1.066  JMPL         TRIG_CH3

  1.067  LABEL        BANDWIDTH_CH4
  1.068  MATH         @Chan = 4
  1.069  CALL         Sub Tek TDS3000 (1 yr) Bandwidth RS-232 /5520+S6
  1.070  JMPL         TRIG_CH4

  1.071  LABEL        TRIG_CH1
  1.072  MATH         @Chan = 1
  1.073  CALL         Sub Tek TDS3000 (1 yr) Trig Sens RS-232 /5520+S6
  1.074  JMPL         SAMPLE_RATE

  1.075  LABEL        TRIG_CH2
  1.076  MATH         @Chan = 2
  1.077  CALL         Sub Tek TDS3000 (1 yr) Trig Sens RS-232 /5520+S6
  1.078  JMPL         DCV_CH3

  1.079  LABEL        TRIG_CH3
  1.080  MATH         @Chan = 3
  1.081  CALL         Sub Tek TDS3000 (1 yr) Trig Sens RS-232 /5520+S6
  1.082  JMPL         DCV_CH4

  1.083  LABEL        TRIG_CH4
  1.084  MATH         @Chan = 4
  1.085  CALL         Sub Tek TDS3000 (1 yr) Trig Sens RS-232 /5520+S6
  1.086  JMPL         END

  1.087  LABEL        SAMPLE_RATE
  1.088  MATH         @Chan = 1
  1.089  CALL         Sub Tek TDS3000 (1 yr) Sample Rate RS-232 /5520+S6
  1.090  JMPL         DCV_CH2

  1.091  LABEL        END
  1.092  HEAD         -2

  1.093  IF           @Abort
  1.094  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.095  ELSE
  1.096  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.097  ENDIF

  1.098  END
